{ config, lib, pkgs, ... }:

with lib;
with lib.my;
let cfg = config.modules.dev.zig;
in {
  options.modules.dev.zig = {
    enable = mkBoolOpt false;
  };

  config = mkIf cfg.enable {
    user.packages = with pkgs; [
      zig
    ];
  };
}